Bug 346301 - Side Pane (Viewing PDF) Won't shrink, only grow
Side Pane (Viewing PDF) Won't shrink, only grow
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-23 03:06 EDT by Chris Ward
Modified: 2009-12-04 11:50 EST (History)
3 users (show)

See Also:
Fixed In Version: 2.22.1.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-16 05:22:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Ward 2007-10-23 03:06:17 EDT
Description of problem:
If you increase the size of the side pane horizontally, there is no (obvious)
way of then reducing the size of the pane. Therefore you waste space and get
unnecessarily annoyed. :-)

Version-Release number of selected component (if applicable):
Evince 0.8.2

How reproducible:
Always

Steps to Reproduce:
1.Open PDF
2.Enable side-pane
3.Increase size of sidepane by dragging window border to the right
4.Then attempt to drag it back to the left to reduce the size...

Actual results:
It won't budge. No reduction is possible

Expected results:
The the sidepane would reduce its' size.

Additional info:
Comment 1 Matt Hirsch 2007-11-04 01:30:29 EST
I'm writing to confirm this bug in evince-0.8.2-1.fc7.

The problem seems to be that the side pane won't allow you to shrink it if it
would cause some text or page icons to wrap. The side pane wraps its contents
correctly when it is already small.

If you've made the side pane large in a document with many pages, you can reduce
its size again by opening a document with a single page, and then dragging the
resize bar as expected.
Comment 2 Chris Ward 2007-11-05 03:53:59 EST
Absolutely, evince--0.8.2-1.fc7 and the problem is that the side pane won't
allow me to shrink it back if text or page icons would wrap. The side pane wraps
its contents correctly when it is already small.

It might work that if i open a single page doc...but I can't seem to make it.
Even if it did, it doesn't really matter since it's doesn't fix the problem.
It's an ugly hack and this is definitely a bug.

Don't you agree?

Comment 3 Chris Ward 2008-03-10 12:16:35 EDT
This issue is still open. Please review.
Comment 4 Bug Zapper 2008-05-14 10:50:08 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Chris Ward 2008-05-16 05:22:11 EDT
I will close this bug out myself :-) Looks fixed in the latest F9 evince.

Note You need to log in before you can comment on or make changes to this bug.